.ruituo-hot-product {
  --card-bg-color: #071B2D;
  --title-text-color: #fff;
  --font-title-size: 40px;
  --font-style: normal;
  --font-title-weight: 700;
  --line-height: 1.5;
  --bg-page: #032F56;
  --bg-page-second: #05233d;
  --text-color: #c6cbd5;
  --text-dark: #111;
  --btn-hover: #ebb20b;
  --icon-size: 62px;
  --ruituo-inner-sub-title: 22px;
  background-color: var(--bg-page);
  padding: 105px 0 120px;
}

.ruituo-hot-product .title-box {
  display: flex;
  flex-direction: column;
  margin-bottom: 80px;
}

.ruituo-hot-product .title-con {
  display: flex;
  justify-content: space-between;
}

.ruituo-hot-product .title-con h2 {
  font-size: var(--ruituo-title);
  color: var(--title-text-color);
  margin-bottom: 15px;
}

.ruituo-hot-product .title-line {
  width: 90px;
  border: 2px solid var(--color-primary);
}

.ruituo-hot-product .btn-box {
  display: flex;
  gap: 20px;
}

.ruituo-hot-product-swiper .swiper-slide {
  height: auto;
  display: flex;
}

.ruituo-hot-product-container {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family);
  background-color: var(--card-bg-color);
  border-radius: 10px;
  transition: all 0.3s ease;
  overflow: hidden;
  height: 100%;
}

.ruituo-hot-product-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  justify-content: space-between;
  padding: 32px 30px 25px;
  gap: 10px;
}

.ruituo-hot-product-container .img-box {
  width: 100%;
  aspect-ratio: 350/280;
  overflow: hidden;
}

.ruituo-hot-product-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s ease;
}

.ruituo-hot-product-container h3 {
  font-size: var(--ruituo-inner-sub-title);
  color: var(--title-text-color);
  line-height: 1.36;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ruituo-hot-product-container p {
  font-size: 16px;
  line-height: var(--line-height);
  color: var(--text-color);
  display: -webkit-box;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ruituo-hot-product-link {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 22px;
  padding-top: 22px;
  font-size: 14px;
  font-weight: 400;
  line-height: var(--line-height);
  color: var(--text-color);
  text-decoration: none;
  border-top: 1px solid rgba(189, 194, 204, 0.2);
  transition: all 0.3s ease;
}

.ruituo-hot-product-link i {
  font-size: 14px;
  font-weight: 400;
  color: var(--text-color);
  padding-top: 2px;
}

.ruituo-hot-product-container:hover {
  background-color: var(--color-second);
}

.ruituo-hot-product-container:hover img {
  transform: scale(1.05);
}

.ruituo-hot-product-container:hover h3 {
  color: var(--color-primary);
}

.ruituo-hot-product-container:hover p {
  color: var(--title-text-color);
}

.ruituo-hot-product-container:hover .ruituo-hot-product-link {
  color: var(--color-primary);
  gap: 14px;
}

.ruituo-hot-product-container:hover .ruituo-hot-product-link i {
  color: var(--color-primary);
}

.ruituo-hot-product-swiper-warpper {
  position: relative;
}

.ruituo-hot-product .swiper-button-prev,
.ruituo-hot-product .swiper-button-next {
  width: 46px;
  height: 44px;
  position: relative;
  background-color: var(--color-second);
  border-radius: 4px;
  transition: all 0.3s ease;
}

.ruituo-hot-product .swiper-button-prev {
  left: 0;
}

.ruituo-hot-product .swiper-button-next {
  right: 0;
}

.ruituo-hot-product .ruituo-swiper-button {
  font-size: 20px;
  color: var(--title-text-color);
  font-weight: bold;
}

.ruituo-hot-product .swiper-button-prev::after,
.ruituo-hot-product .swiper-button-next::after {
  content: none;
}

.ruituo-hot-product .swiper-button-prev:hover,
.ruituo-hot-product .swiper-button-next:hover {
  background-color: var(--color-primary);
  scale: 1.05;
}

@media screen and (min-width: 1800px) {
  .ruituo-hot-product .container {
    max-width: 1500px;
  }
}

@media (max-width: 1200px) {
  .ruituo-hot-product .title-box {
    margin-bottom: 50px;
  }
}

@media (max-width: 992px) {
  .ruituo-hot-product {
    --ruituo-inner-sub-title: 20px;
    --icon-size: 50px;
  }

  .ruituo-hot-product-container h3 {
    margin-top: 18px;
    margin-bottom: 8px;
  }

  .ruituo-hot-product .title-box {
    margin-bottom: 40px;
  }

  .ruituo-hot-product .swiper-button-prev,
  .ruituo-hot-product .swiper-button-next {
    width: 42px;
    height: 40px;
  }
}

@media (max-width: 768px) {
  .ruituo-hot-product {
    --icon-size: 44px;
  }

  .ruituo-hot-product-container h3 {
    margin-top: 14px;
    margin-bottom: 6px;
  }

  .ruituo-hot-product .title-box {
    margin-bottom: 20px;
  }

  .ruituo-hot-product .swiper-button-prev,
  .ruituo-hot-product .swiper-button-next {
    width: 38px;
    height: 36px;
  }
}

@media (max-width: 576px) {
  .ruituo-hot-product {
    --ruituo-inner-sub-title: 18px;
    --icon-size: 38px;
  }


  .ruituo-hot-product .title-line {
    width: 60px;
  }

  .ruituo-hot-product-container h3 {
    margin-top: 10px;
    margin-bottom: 4px;
  }

  .ruituo-hot-product .swiper-button-prev,
  .ruituo-hot-product .swiper-button-next {
    width: 34px;
    height: 32px;
  }
}